project('picplanner', 'c',        version: '0.1.0',
  meson_version: '>= 0.40.0',
)
cc = meson.get_compiler('c')
math = cc.find_library('m', required: false)

config_h = configuration_data()
config_h.set_quoted('PACKAGE_VERSION', meson.project_version())
configure_file(
  output: 'picplanner-config.h',
  configuration: config_h,
)
add_project_arguments([
  '-I' + meson.build_root(),
], language: 'c')

subdir('src')

